restinio::utils::metaprogramming::impl Namespace Reference

## Classes

struct | all_of
struct | all_of< Predicate, H >
struct | all_of< Predicate, type_list< Types... > >
struct | debug_print
struct | head_of
struct | head_of< T >
struct | put_front
struct | put_front< T, L< Rest... > >
struct | rename
struct | rename< From< Types... >, To >
struct | tail_of
struct | tail_of< L >
struct | transform
struct | transform< Transform_F, From< Sources... >, To< Results... > >
struct | transform< Transform_F, From<>, To< Results... > >